Package be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

# Enum Class CDHEADINGvalues

java.lang.Object
java.lang.Enum<CDHEADINGvalues>
be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDHEADINGvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDHEADINGvalues>`, `java.lang.constant.Constable`

public enum CDHEADINGvalues extends Enum<CDHEADINGvalues>

Java class for CD-HEADINGvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-HEADINGvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="assessment"/>
         <enumeration value="clinical"/>
         <enumeration value="clinicalplan"/>
         <enumeration value="subjective"/>
         <enumeration value="technical"/>
         <enumeration value="technicalplan"/>
         <enumeration value="treatment"/>
         <enumeration value="userdefined"/>
         <enumeration value="history"/>
         <enumeration value="familyhistory"/>
         <enumeration value="prescription"/>
         <enumeration value="medication"/>
         <enumeration value="anamnesis"/>
         <enumeration value="examination"/>
         <enumeration value="plan"/>
         <enumeration value="outcomeevaluation"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANAMNESIS`
  `ASSESSMENT`
  `CLINICAL`
  `CLINICALPLAN`
  `EXAMINATION`
  `FAMILYHISTORY`
  `HISTORY`
  `MEDICATION`
  `OUTCOMEEVALUATION`
  `PLAN`
  `PRESCRIPTION`
  `SUBJECTIVE`
  `TECHNICAL`
  `TECHNICALPLAN`
  `TREATMENT`
  `USERDEFINED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDHEADINGvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDHEADINGvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDHEADINGvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASSESSMENT

    public static final CDHEADINGvalues ASSESSMENT

  - ### CLINICAL

    public static final CDHEADINGvalues CLINICAL

  - ### CLINICALPLAN

    public static final CDHEADINGvalues CLINICALPLAN

  - ### SUBJECTIVE

    public static final CDHEADINGvalues SUBJECTIVE

  - ### TECHNICAL

    public static final CDHEADINGvalues TECHNICAL

  - ### TECHNICALPLAN

    public static final CDHEADINGvalues TECHNICALPLAN

  - ### TREATMENT

    public static final CDHEADINGvalues TREATMENT

  - ### USERDEFINED

    public static final CDHEADINGvalues USERDEFINED

  - ### HISTORY

    public static final CDHEADINGvalues HISTORY

  - ### FAMILYHISTORY

    public static final CDHEADINGvalues FAMILYHISTORY

  - ### PRESCRIPTION

    public static final CDHEADINGvalues PRESCRIPTION

  - ### MEDICATION

    public static final CDHEADINGvalues MEDICATION

  - ### ANAMNESIS

    public static final CDHEADINGvalues ANAMNESIS

  - ### EXAMINATION

    public static final CDHEADINGvalues EXAMINATION

  - ### PLAN

    public static final CDHEADINGvalues PLAN

  - ### OUTCOMEEVALUATION

    public static final CDHEADINGvalues OUTCOMEEVALUATION

- ## Method Details

  - ### values

    public static CDHEADINGvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDHEADINGvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDHEADINGvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.